org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPTemplateDefinition

All Superinterfaces:
  IBinding, ICPPBinding

All Known Subinterfaces:
  ICPPAliasTemplate, ICPPClassTemplate, ICPPClassTemplatePartialSpecialization, ICPPClassTemplatePartialSpecializationSpecialization, ICPPFieldTemplate, ICPPFunctionTemplate, ICPPPartiallySpecializable, ICPPPartialSpecialization, ICPPTemplateTemplateParameter, ICPPVariableTemplate, ICPPVariableTemplatePartialSpecialization

    public interface ICPPTemplateDefinition
    extends ICPPBinding

Base interface for all template definitions including explicit (partial) specializations.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPTemplateParameter[]` `getTemplateParameters()` Returns an array of the template parameters.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Method Detail

#### getTemplateParameters

    ICPPTemplateParameter[] getTemplateParameters()

Returns an array of the template parameters. In the case of a specialization, the array will be empty, a partial specialization will have the specialized parameter list.

Returns:
  an array of template parameters